<section id="galerie-statica">
    <h2>Galerie</h2>
    <div id="grid-galerie">
        <% 
            var d=new Date(); 
            // var d=new Date("03/24/2024");
            var anotimp_curr;
            switch(d.getMonth()){
                case 0:
                case 1:
                case 11:
                    anotimp_curr = "iarna";
                    break;
                case 2:
                case 3:
                case 4:
                    anotimp_curr = "primavara";
                    break;
                case 5:
                case 6:
                case 7:
                    anotimp_curr = "vara";
                    break;
                case 8:
                case 9:
                case 10:
                    anotimp_curr = "toamna";
                    break;
            }
            var count = 0;
            for(let imag of locals.imagini){
                if(imag?.anotimp?.includes(anotimp_curr)){
                    if(count == 10) {
                        break;
                    }
        %>
                        <figure>
                            <picture>
                                <source srcset="<%= imag.fisier_mic %>" media="(max-width:800px)">
                                <source srcset="<%= imag.fisier_mediu %>" media="(max-width:1200px)">
                                <img src="<%= imag.fisier %>" title = "<%= imag.text_descriere %>" alt="<%= imag.titlu %>">
                            </picture>

                            <figcaption><%= imag.text_descriere %>
                                <% if (imag.license != "free") { %>
                                    <a href="<%= imag.license %>" target="_blank">(sursa)</a>
                                <% } %>
                            </figcaption>
                        </figure>
        <%          count++;
                } %>
        <% } %>
        <div id="gs-gol-1"></div>
        <div id="gs-gol-2"></div>
    </div>
</section>